Name:       ibus-table-cangjie
Version:    1.2.0.20100210
Release:    1%{?dist}
Summary:    Cang Jie and derived tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://cloud.github.com/downloads/kaio/ibus-table-cangjie/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2.0.20100111-2
Requires(post):   ibus >= 1.2, ibus-table >= 1.2.0.20100111-2
BuildRequires:    ibus >= 1.2, ibus-table-devel >= 1.2.0.20100111-2

%description
The package contains Cang Jie and derived tables for IBus-Table, namely Cang 
Jie 3, Cang Jie 5, Cang Jie (big), Speed Cang Jie 6, Quick 3, Quick 5, Quick 
Classic, Easy (big).

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o"
%configure \
    --prefix=%{_prefix} \
    --enable-cangjie3 \
    --enable-cangjie5 \
    --enable-cangjiebig \
    --enable-scj6 \
    --enable-quick3 \
    --enable-quick5 \
    --enable-quickclassic \
    --enable-easybig
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n cangjie3.db
%{_bindir}/ibus-table-createdb -i -n cangjie5.db
%{_bindir}/ibus-table-createdb -i -n cangjie-big.db
%{_bindir}/ibus-table-createdb -i -n scj6.db
%{_bindir}/ibus-table-createdb -i -n quick3.db
%{_bindir}/ibus-table-createdb -i -n quick5.db
%{_bindir}/ibus-table-createdb -i -n quick-classic.db
%{_bindir}/ibus-table-createdb -i -n easy-big.db

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/cangjie3.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/cangjie5.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/cangjie-big.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/scj6.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick3.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick5.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick-classic.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/easy-big.db
%{_datadir}/ibus-table/icons/cangjie3.svg
%{_datadir}/ibus-table/icons/cangjie5.svg
%{_datadir}/ibus-table/icons/cangjie-big.png
%{_datadir}/ibus-table/icons/scj6.svg
%{_datadir}/ibus-table/icons/quick3.png
%{_datadir}/ibus-table/icons/quick5.png
%{_datadir}/ibus-table/icons/quick-classic.png
%{_datadir}/ibus-table/icons/easy-big.png


%changelog

